package com.ym.mec.biz.dal.dto;


import java.util.List;
import java.util.Map;

public class MergeClassSplitClassAffirmDto {
    //新建班级参数
    private List<ClassGroup4MixDto> classGroup4MixDtos;

    //缴费项目参数
    private List<MusicGroupPaymentCalenderDto> musicGroupPaymentCalenderDtos;

    //需要合并的班级列表
    private List<Integer> classGroupIds;

    //主班
    private Integer masterClassGroupId;

    //所选学员列表
    private List<Integer> studentIds;

    //班级和学员关联
    private List<Map<Integer,String>> classGroupStudents;

    //最大的可排课时长
    private Map<String,Long> classCourseMinuteMap;

    public Integer getMasterClassGroupId() {
        return masterClassGroupId;
    }

    public void setMasterClassGroupId(Integer masterClassGroupId) {
        this.masterClassGroupId = masterClassGroupId;
    }

    public Map<String, Long> getClassCourseMinuteMap() {
        return classCourseMinuteMap;
    }

    public void setClassCourseMinuteMap(Map<String, Long> classCourseMinuteMap) {
        this.classCourseMinuteMap = classCourseMinuteMap;
    }

    public List<Map<Integer, String>> getClassGroupStudents() {
        return classGroupStudents;
    }

    public void setClassGroupStudents(List<Map<Integer, String>> classGroupStudents) {
        this.classGroupStudents = classGroupStudents;
    }

    public List<Integer> getStudentIds() {
        return studentIds;
    }

    public void setStudentIds(List<Integer> studentIds) {
        this.studentIds = studentIds;
    }

    public List<Integer> getClassGroupIds() {
        return classGroupIds;
    }

    public void setClassGroupIds(List<Integer> classGroupIds) {
        this.classGroupIds = classGroupIds;
    }

    public List<ClassGroup4MixDto> getClassGroup4MixDtos() {
        return classGroup4MixDtos;
    }

    public void setClassGroup4MixDtos(List<ClassGroup4MixDto> classGroup4MixDtos) {
        this.classGroup4MixDtos = classGroup4MixDtos;
    }

    public List<MusicGroupPaymentCalenderDto> getMusicGroupPaymentCalenderDtos() {
        return musicGroupPaymentCalenderDtos;
    }

    public void setMusicGroupPaymentCalenderDtos(List<MusicGroupPaymentCalenderDto> musicGroupPaymentCalenderDtos) {
        this.musicGroupPaymentCalenderDtos = musicGroupPaymentCalenderDtos;
    }
}
